## org.apache.ivy.core.install
Class InstallEngine

    java.lang.Object
      org.apache.ivy.core.install.InstallEngine

    public class InstallEngine

extends java.lang.Object

Constructor Summary
`InstallEngine(InstallEngineSettings settings, SearchEngine searchEngine, ResolveEngine resolveEngine)`

Method Summary
`ResolveReport` `install(ModuleRevisionId mrid, java.lang.String from, java.lang.String to, InstallOptions options)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InstallEngine

    public InstallEngine(InstallEngineSettings settings,
                         SearchEngine searchEngine,
                         ResolveEngine resolveEngine)

Method Detail

### install

    public ResolveReport install(ModuleRevisionId mrid,
                                 java.lang.String from,
                                 java.lang.String to,
                                 InstallOptions options)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`